Upgrade 8.7.3 to 8.8.2

It was with sheer disbelief that I encountered the same fault in the
V8.8.2 upgrade that was in the 8.7 upgrade 5 years ago. I am still
wondering what I have wrong with my servers that this never works.

I removed all extra applications, added STARTX to the autoexec
(uncommented) re-booted, did the installation and it fell over with

Exception in thread main. java.lang.internalerror
Cant connect to X11 Window server using 127.0.0.7:0 as the value of the
display variable.

Now i have seen something like this before! so went looking for
graphical interface - not running. Look in autoexec and find that it
has been commented out by the install. So I run UINSTALL EDIR and
re-run the process and have to run startx manually before the final
stage of the upgrade. Nothing is restarting STARTX at the correct
moment or if it tries to, it fails.

Funny that - exactly what happened 5 years ago!

Max


-- 
max_dale
------------------------------------------------------------------------



0
max
4/29/2008 10:46:01 AM
novell.edirectory.netware 7858 articles. 0 followers. Follow

7 Replies
679 Views

Similar Articles

[PageSpeed] 13
Get it on Google Play
Get it on Apple App Store

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Were you physically at the server?  Normally I see a similar error in
Linux when there is no graphical environment or X-forwarding hasn't been
enabled properly (when doing things remotely) but I haven't seen it in
NetWare, though I haven't upgraded to 8.8.x on NetWare for a long time.

Good luck.






max dale wrote:
| It was with sheer disbelief that I encountered the same fault in the
| V8.8.2 upgrade that was in the 8.7 upgrade 5 years ago. I am still
| wondering what I have wrong with my servers that this never works.
|
| I removed all extra applications, added STARTX to the autoexec
| (uncommented) re-booted, did the installation and it fell over with
|
| Exception in thread main. java.lang.internalerror
| Cant connect to X11 Window server using 127.0.0.7:0 as the value of the
| display variable.
|
| Now i have seen something like this before! so went looking for
| graphical interface - not running. Look in autoexec and find that it
| has been commented out by the install. So I run UINSTALL EDIR and
| re-run the process and have to run startx manually before the final
| stage of the upgrade. Nothing is restarting STARTX at the correct
| moment or if it tries to, it fails.
|
| Funny that - exactly what happened 5 years ago!
|
| Max
|
|
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.2 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org

iD8DBQFIFyRQ3s42bA80+9kRAuYSAJ48EeCOz9bN4dVts/XrjouHgO7BaQCggAl7
r4v/vPANCKjJ/8iseHCDWKg=
=j4dR
-----END PGP SIGNATURE-----
0
ab
4/29/2008 1:36:17 PM
On Tue, 29 Apr 2008 10:46:01 GMT, max dale
<max_dale@no-mx.forums.novell.com> wrote:

>It was with sheer disbelief that I encountered the same fault in the
>V8.8.2 upgrade that was in the 8.7 upgrade 5 years ago. I am still
>wondering what I have wrong with my servers that this never works.

As with AB, I haven't done an 8.7.3.* to 8.8.* upgrade lately, but I
never ran in to the problem you're describing here, either in the betas
for 8.8.x or after they shipped. I also never ran in to it with the
8.7.x upgrades from 8.5 and 8.6. So, having done hundreds of them here,
without seeing this, I'm more than a bit puzzled by your report.

>I removed all extra applications, added STARTX to the autoexec
>(uncommented) re-booted, did the installation and it fell over with
>
>Exception in thread main. java.lang.internalerror
>Cant connect to X11 Window server using 127.0.0.7:0 as the value of the
>display variable.
>
>Now i have seen something like this before! so went looking for
>graphical interface - not running. Look in autoexec and find that it
>has been commented out by the install.

This may sound like a dumb question, but you didn't, by chance, forget
to save the changes to autoexec.ncf did you?


---------------------------------------------------------------------------
 David Gersic                                            dgersic_@_niu.edu
 Novell Support Forums Volunteer SysOp            http://forums.novell.com

 Please post questions in the newsgroups.   No support provided via email.
0
dgersic_
4/29/2008 9:51:05 PM
This may sound like a dumb question, but you didn't, by chance, forget
to save the changes to autoexec.ncf did you?

No. The fact that the STARTX was "commented out by install" during the
upgrade shows that it had to find an active STARTX in the autoexec. If
you have STARTX already commented out you dont get that I think. To see
that, you have to check the autoexec during the upgrade process because
it does that (ie comments out the STARTX) then undoes it later. It
definitely tries to restart the X window  because it says switching to
another NLM at the critical point. 

Strangely I did a third server in a remote site yesterday which worked.
Same version with more or less the same upgrade history. Very odd!

---------------------------------------------------------------------------
David Gersic                                           
dgersic_@_niu.edu
Novell Support Forums Volunteer SysOp           
http://forums.novell.com

Please post questions in the newsgroups.   No support provided via
email.


-- 
max_dale
------------------------------------------------------------------------
max_dale's Profile: http://forums.novell.com/member.php?userid=14446
View this thread: http://forums.novell.com/showthread.php?t=325936

0
max
5/1/2008 9:06:01 AM
On Thu, 01 May 2008 09:06:01 GMT, max dale
<max_dale@no-mx.forums.novell.com> wrote:

>
>This may sound like a dumb question, but you didn't, by chance, forget
>to save the changes to autoexec.ncf did you?
>
>No. The fact that the STARTX was "commented out by install" during the
>upgrade shows that it had to find an active STARTX in the autoexec.

I honestly don't recall the installer commenting out startx. I don't
have time to try it right now, but after next week when things calm down
here I'll see if I can reproduce this.


---------------------------------------------------------------------------
 David Gersic                                            dgersic_@_niu.edu
 Novell Support Forums Volunteer SysOp            http://forums.novell.com

 Please post questions in the newsgroups.   No support provided via email.
0
dgersic_
5/14/2008 5:43:29 PM
Max,

I'm getting ready to do an 8.7.3.9 to 8.8.2 upgrade.  Can you expand on 
this issue a bit?  Is the fix to make sure StartX is in autoexec?

Thanks,

Travis

max dale wrote:
> It was with sheer disbelief that I encountered the same fault in the
> V8.8.2 upgrade that was in the 8.7 upgrade 5 years ago. I am still
> wondering what I have wrong with my servers that this never works.
> 
> I removed all extra applications, added STARTX to the autoexec
> (uncommented) re-booted, did the installation and it fell over with
> 
> Exception in thread main. java.lang.internalerror
> Cant connect to X11 Window server using 127.0.0.7:0 as the value of the
> display variable.
> 
> Now i have seen something like this before! so went looking for
> graphical interface - not running. Look in autoexec and find that it
> has been commented out by the install. So I run UINSTALL EDIR and
> re-run the process and have to run startx manually before the final
> stage of the upgrade. Nothing is restarting STARTX at the correct
> moment or if it tries to, it fails.
> 
> Funny that - exactly what happened 5 years ago!
> 
> Max
> 
> 
0
Travis
5/27/2008 4:42:12 PM
On Tue, 27 May 2008 16:42:12 GMT, Travis <tjmduke_remove_me@gmail.com>
wrote:

>I'm getting ready to do an 8.7.3.9 to 8.8.2 upgrade.  Can you expand on 
>this issue a bit?  Is the fix to make sure StartX is in autoexec?

I haven't had a chance to try to reproduce max's setup here. From what I
remember of the 8.7.3.x to 8.8.x upgrades I've done in the past, startx
gets run whether it's in the autoexec.ncf or not.


---------------------------------------------------------------------------
 David Gersic                                            dgersic_@_niu.edu
 Novell Support Forums Volunteer SysOp            http://forums.novell.com

 Please post questions in the newsgroups.   No support provided via email.
0
dgersic_
5/28/2008 7:43:12 PM
Yeah, that's what I saw in my test runs as well.

David Gersic wrote:
> On Tue, 27 May 2008 16:42:12 GMT, Travis <tjmduke_remove_me@gmail.com>
> wrote:
> 
>> I'm getting ready to do an 8.7.3.9 to 8.8.2 upgrade.  Can you expand on 
>> this issue a bit?  Is the fix to make sure StartX is in autoexec?
> 
> I haven't had a chance to try to reproduce max's setup here. From what I
> remember of the 8.7.3.x to 8.8.x upgrades I've done in the past, startx
> gets run whether it's in the autoexec.ncf or not.
> 
> 
> ---------------------------------------------------------------------------
>  David Gersic                                            dgersic_@_niu.edu
>  Novell Support Forums Volunteer SysOp            http://forums.novell.com
> 
>  Please post questions in the newsgroups.   No support provided via email.
0
Travis
6/2/2008 6:22:07 PM
Reply:

Similar Artilces:

upgrade edir 8.7.3 to 8.8.2 or 8.8.3?
Our tree: Netware 6.5SP7 and OES2/Linux, edir 8.7.3.10b ftf1 and edir 8.8.SP2 ftf2 I started to install new servers with edir 8.8 some month ago, some of the edir 8.7.3 servers will be switched of before long. Now I want to upgrade the remaining 8.7.3 servers to 8.8. It seemed clear to me that I wouldn't install 8.8.2 if 8.8.3 is out. But after reading the postings here, I am quite unsure... My questions: Isn't it dangerous to stay at 8.8.2? Some of the fixed problems are overflows - these might be security relevant? I saw two problems with 8.8.3 here: the ldap probl...

Upgrade of eDir 8.6.2 to 8.7.3 / 8.8
I have a couple of NW6 servers running eDir 8.6.2 - I'd like to update them to 8.7.3 to take advantage of all the features of iManager 2.5 1. Is this a free upgrade or am I required to purchase 8.7.3 ? 2. Is 8.8 a better upgrade option ? Steve Hi, Steve Babcock wrote: > > I have a couple of NW6 servers running eDir 8.6.2 - I'd like to update > them to 8.7.3 to take advantage of all the features of iManager 2.5 > > 1. Is this a free upgrade On Netware yes. > 2. Is 8.8 a better upgrade option ? No. 8.8 is a complete brand new *Version* wi...

Cannot upgrade eDirectory from 8.8.1 to 8.8.2
When upgrading the eDirectory on a single server tree, the nds-install fails with a "-2" error when trying to open the DIB. There are no errors in eDirectory NDSrepair before the upgrade. When the script reaches the point of opening the DIB, we get the following errors "inconsistent database -618" and the DIB refuses to open and cannot be repaired using NDSREPAIR. Does anyone know a TID or anything else on how to fix this issue. We are completely stuck as to what is causing the problem. -- JohnAtDET ---------------------------------------------------...

upgrade edir 8.8.2 to 8.8.3 on OES 2 Linux
What is the best way to do this? I tried the .tgz ./nds-install method and had errors. (IDM 3.5.1 is also installed on this server). == Preparing... ################################################## novell-NDSmasv ################################################## 24/10/08:12:30:02/var/opt/novell/eDirectory/setup/novell-NDSmasv-8.8.3-10.x86_64.rpm installed successfully 24/10/08:12:30:02/var/opt/novell/eDirectory/setup/novell-NDSmasv-8.8.3-10.x86_64.rpm added successfully. 24/10/08:12:30:02Handling the package NDSbase 24/10/08:12:30:02===============...

Edirectory 8.8 compatible with 8.7.3.7
We are using Identity Manager and found out that Edirectory 8.8 and Identity Manager 2.0.1 are not compatible. My question is can we back rev to 8.7.3.7 on our one server running IDM and have 8.7.3.7 work well with Edirectory 8.8 ? Thanks. Hi Phil, No, I don't think so you can backrev DS to 8.7.3. However, if you don't use any of the new features of 8.8 (Encrypted sync, data, multiple instance), you should be fine. Cheers, Akos phil2627@hotmail.com wrote: > We are using Identity Manager and found out that Edirectory 8.8 and > Identity Manager 2.0.1 are ...

Downgrade from eDirectory 8.7.3.3 to 8.7.1.2
Hi, Is it possible to downgrade a Netware 5.1 server from eDirectory 8.7.3.3 to 8.7.1.2. Thanks in advance. gbitton, Downgrading to another eDirectory version is not recommended, and I would not do it without a very good reason. It is possible to downgrade to another revision within the same version though, like going from eDir 8.7.3.3 to 8.7.3.2 May I ask the reason for downgrading eDir? as niclas says, downgrading that far isn't something to undertake lightly. what problems are you having with 8.7.3 that wouldn't be fixed in 8.7.3.7 but are fine ...

[IDM 3] eDir 8.7.3.8 or 8.8
Hello, I'm going to install a IDM 3 on SLSE 9 in a production environment to synchronize some systems. What is the best solution for the identity vault version , eDir 8.7.3.8 or eDir 8.8 ? This meta directory will be used only to consolidate some information that will be accessed with a web interface and will do some provisioning. Are there some known bugs with eDir8.8 ? R�mi. If you are ever going to want to go to 8.8 and above I would start with it. It probably isn't quite as stable as 8.7.3.8, but upgrading to 8.8 once IDM is installed is problematic and requires ...

Upgrading edirectory from 8.6.2 to 8.7.3 ir3
I hope someone can help me. I have the following setup: NW 6 sp5 server edirectory 8.6.2 sp6 I attempted to upgrade to edir 8.7.3ir3 using the downloaded ISO image. All seemed to go fine until the server rebooted it self. I get the following error: Processing Stage 3 NLM's Loading module CSS.XLM [ERROR] Version 26410.05 November 10, 2003 then a few lines later . . . Loader Cannot find Public Symbol: DDSGetServerInfo Loader Cannot find Public Symbol: DSERegisterForEventWithResult Loader Cannot find Public Symbol: DSEUnRegisterForEvent Error Loading on...

eDirectory 8.7.3.9 and eDirectory 8.8.5
I have a NetWare 6.5 SP 7 file server and we are planning a Migration to OES 2 in the coming weeks. The plan is to set up the OES 2 box to run in conjunction with the NW 6.5 box until that time that we can migrate services off from the NW box. The issue that I want to check on is whether eDirectory 8.7.3.9 will synchronize with the eDirectory version that is running on the OES 2 box which I believe is 8.8.4 until you patch the server. If anyone has any gotcha's or suggestions as to things that they have done to make this work I would really appreciate them. Have a great morning ...

eDirectory upgrade (nw51) 8.6.2 to 8.7.3
Yes we are planning to run identity management on the nw51 box, (Forum discussion from 29/7/2004 - no further reaction received to answer to Jeff Johnson's question) Thanks > Are you planning on running IDM on the nw51 box?? > > -- > Jeff Johnson CNE6, MCNE, CDE, DCNSP > jedijeff {at} gmail (dot) com > "Teen Hex On The Rise: Up 0x2F Percent" > > wrote in message > news:KHrOc.18077$gg.607@prv-forum2.provo.novell.com... > > We're implementing dirxml in the near future and are upgrading our NetWare > > 5.1sp6 eD...

Upgrade to 8.7.3.9 or 8.8??
--____LFBUPKPKQMRSSGCLAIWR____ Content-Type: text/plain; charset=utf-8 Content-Transfer-Encoding: base64 Content-Disposition: inline; modification-date="Thu, 17 Oct 2007 21:17:04 +1000" SSBhbSBsb29raW5nIGF0IHVwZ3JhZGluZyBmcm9tIE5ldFdhcmUgNi41IFNQNSB0byBOZXRXYXJl IDYuNSBTUCA3LiBJIGhhdmUgMiBOZXRXYXJlIDUuMSBib3hlcyB0byB1cGdyYWRlIG92ZXIgdGhl IG5leHQgZmV3IG1vbnRocyBhcyB3ZWxsLiANCk15IHF1ZXN0aW9uIGlzIGRvIEkgdXBncmFkZSB0 byBlRGlyIDguOC4yIG9yIDguNy4zLjk/PyBXaGF0IGFyZSB0aGUgYWR2YW50YWdlcyB0byBnb2lu ZyB0byA4LjguMiBhbmQgaXMgdGhpcyBhICJwYXllZCIgdXBncmFkZWQ/DQoNCkNoZWVycw0KSmVm Zg==...

Revert edirectory 8.8 to 8.7.3
Is there a way to rev edir 8.8 back to 8.7.3? Thanks Todd tjetzer@shebareacu.com wrote: > Is there a way to rev edir 8.8 back to 8.7.3? Not without quite a bit of pain and even then its not easy. Why if I may ask ? -- Cheers, Edward > tjetzer@shebareacu.com wrote: > > > Is there a way to rev edir 8.8 back to 8.7.3? > > Not without quite a bit of pain and even then its not easy. Why if I > may ask ? > > -- > Cheers, > Edward A "professional engineer" updated our SBS6.5 server with edir 8.8. Zen doesn't...

how to backrev edir 8.7.3.8 to 8.7.3.7
Im need to back rev 8738 to 8737 for Netware 6.5 SP5 server. I've looked though TID 10100930 but am not sure if it applies since FACT only list this is for Solaris, Linux or HP. Please let me know if it's ok to follow this TID if not, please point me in the right direction. Thank you! Hi, ralph@canon.com wrote: > > Im need to back rev 8738 to 8737 for Netware 6.5 SP5 server. Why? You should have a damn good reason to do this. Backrevving eDirectory isn't something that should be done lightly. CU, -- Massimo Rosen Novell Product Support Forum Sys...

eDir 8.7.3.7 Ugrade to eDir 8.8.2
Currently we have eDir 8.8.2 in our tree and I have several servers NDS 6.5.5 / eDir 8.7.3.7 and would like to upgrade all to NDS 6.5.7 / eDir 8.8.2. Is there a simple way to do this, it's not so simple from the patch readme's and I'm unable to find a TID saying I can go directly to 8.8.2. Thanks for your help. -- traverj ------------------------------------------------------------------------ traverj wrote: > > Currently we have eDir 8.8.2 in our tree and I have several servers > NDS 6.5.5 / eDir 8.7.3.7 and would like to upgrade all to NDS 6.5.7...

Web resources about - Upgrade 8.7.3 to 8.8.2 - novell.edirectory.netware

H-1 upgrade program - Wikipedia, the free encyclopedia
The H-1 upgrade program refers to the United States Marine Corps 's program to develop the AH-1Z Viper and UH-1Y Venom to replace its aging fleets ...


Tumblr Referrals From Facebook Up 2.5X Following Upgrade For Timeline
Since upgrading for timeline and launching with open graph in April, Tumblr has seen its referral traffic from Facebook rise by more than 2.5 ...

Update on Android Ice Cream Sandwich upgrades
HTC has been working hard to get its Ice Cream Sandwich upgrades ready, and we’re excited to announce that our first round of ICS upgrades will ...

Facebook Platform Upgrade Guide
Upgrade instructions for Facebook's platform across versions.

Facebook Allows Users to Upgrade to the New Messages Product, Why You Should
Some users are seeing a prompt when they visit their Facebook Messages inbox allowing them to upgrade to the New Messages product launched in ...

Search Twitter - upgrade
... here Search Refresh julia @ d0gbones 3m I laughed at the call handler when he told me it'd be £400 to stay on my current price plan and upgrade ...

Todo 6 (for devices that cannot upgrade to version 7) on the App Store on iTunes
Get Todo 6 (for devices that cannot upgrade to version 7) on the App Store. See screenshots and ratings, and read customer reviews.

Desktop Audio Upgrade - Flickr - Photo Sharing!
I needed some new speakers for my desktop computer system at home. I've been tolerating JBL creature 2.1 system for a couple of years now and ...

Premium Suite Upgrade for Galaxy SIII (Part 1) - YouTube
Now, you can make your Galaxy SIII even smarter with this Premium Suite upgrade which is designed just for the Galaxy SIII! (Part 1) Following ...

Resources last updated: 1/18/2016 4:17:18 AM